summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Asaf Ohaion <asaf@tvngo.com>2010-05-13 01:00:26 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:26 +0200
commit207ae999454092fbcee99c3449ac786859cf18dc (patch)
treee1ccf933714567db0baeb4a13104ec2683ef67c3 /network
parent86447526576ac1a83c73811c0835fbbb103d0bd5 (diff)
downloadslackbuilds-207ae999454092fbcee99c3449ac786859cf18dc.tar.gz
slackbuilds-207ae999454092fbcee99c3449ac786859cf18dc.tar.xz
network/xsp: Added to 13.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/xsp/README3
-rw-r--r--network/xsp/slack-desc19
-rw-r--r--network/xsp/xsp.SlackBuild76
-rw-r--r--network/xsp/xsp.info10
4 files changed, 108 insertions, 0 deletions
diff --git a/network/xsp/README b/network/xsp/README
new file mode 100644
index 0000000000..2e83182bf3
--- /dev/null
+++ b/network/xsp/README
@@ -0,0 +1,3 @@
+xsp is a lightweight and simple webserver written in C#.
+
+This requires mono.
diff --git a/network/xsp/slack-desc b/network/xsp/slack-desc
new file mode 100644
index 0000000000..d20cd6d5c9
--- /dev/null
+++ b/network/xsp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xsp: xsp (a lightweight and simple webserver written in C#)
+xsp:
+xsp: xsp is part of the mono project.
+xsp:
+xsp: Homepage: http://www.mono-project.com
+xsp:
+xsp:
+xsp:
+xsp:
+xsp:
+xsp:
diff --git a/network/xsp/xsp.SlackBuild b/network/xsp/xsp.SlackBuild
new file mode 100644
index 0000000000..18cdf00248
--- /dev/null
+++ b/network/xsp/xsp.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for xsp
+# Written by Asaf Ohaion <asaf@tvngo.com>
+
+PRGNAM=xsp
+VERSION=${VERSION:-2.4.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/xsp/xsp.info b/network/xsp/xsp.info
new file mode 100644
index 0000000000..8fe06b8556
--- /dev/null
+++ b/network/xsp/xsp.info
@@ -0,0 +1,10 @@
+PRGNAM="xsp"
+VERSION="2.4.2"
+HOMEPAGE="http://www.mono-project.com/"
+DOWNLOAD="http://ftp.novell.com/pub/mono/sources/xsp/xsp-2.4.2.tar.bz2"
+MD5SUM="53f544584224dd6470cf1d4913ac077e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Asaf Ohaion"
+EMAIL="asaf@tvngo.com"
+APPROVED="rworkman"